## Development

### Setup

1. Clone the repository:

```bash
git clone https://github.com/hyperdrive-eng/workback.git
cd workback
```

2. Create and activate a virtual environment:

```bash
python3 -m venv .venv
source .venv/bin/activate
```

3. Install  in development mode:

```bash
pip install -e ".[dev]"
```

4. Launch the application:

```bash
workback
```

5. (Optional) Install dependencies

```bash
pip install <package-name>
```

7. Deactivate environment

```sh
deactivate
```

### Publish

1. Create and activate a virtual environment:

```bash
python3 -m venv .venv
source .venv/bin/activate
```

1. Install  in development mode:

```bash
pip install -e ".[dev]"
```

### Code Style

The project uses:

- Black for code formatting
- isort for import sorting
- mypy for type checking
- ruff for linting

Run checks:

```bash
black .
isort .
mypy .
ruff .
```

### Testing

Run tests:

```bash
pytest
```
